> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Businesses



## OpenAPI

````yaml api-reference/openapi-account.json GET /business
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /business:
    get:
      tags:
        - Business
      summary: Fetch a List of Businesses
      parameters:
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - account_ids:
                          - acct_1029384756
                        address:
                          city: New York
                          postal_code: '10005'
                          state: NY
                          street_line_1: 11 Wall St
                          street_line_2: Suite 42
                        emails:
                          - george@acme.com
                        id: owner_0123456789
                        name: Acme Goods Inc
                        phone_number: '4154845555'
                        tin_last4: '4912'
              schema:
                properties:
                  data:
                    items:
                      properties:
                        address:
                          description: Address on file associated with the business
                          properties:
                            city:
                              description: City
                              type: string
                            country:
                              description: Country (ISO 3166-1 alpha-2). Defaults to `US`
                              type: string
                            postal_code:
                              description: Postal code
                              type: string
                            state:
                              description: State
                              type: string
                            street_line_1:
                              description: First line of the address
                              type: string
                            street_line_2:
                              description: Optional second line of the address
                              type: string
                          type: object
                        dba:
                          description: The name the business is Doing Business As
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        name:
                          description: Name of the business
                          type: string
                        phone_number:
                          description: Phone number of the business
                          type: string
                        tin_last4:
                          description: The last four digits of the TIN / EIN
                          type: string
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` business elements, starting after the business described
            by `page_cursor`. If no more businesss are available, the resulting
            list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````